/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.object.action.request;

import java.io.Serializable;

import java.util.Map;

/**
 * @author Marco Leo
 */
public class ObjectActionRequest {

	public ObjectActionRequest(
		Map<String, Serializable> parameters, long userId) {

		_parameters = parameters;
		_userId = userId;
	}

	public Serializable getParameterValue(String parameterName) {
		return _parameters.get(parameterName);
	}

	public long getUserId() {
		return _userId;
	}

	private final Map<String, Serializable> _parameters;
	private final long _userId;

}