/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.object.model;

import com.liferay.portal.kernel.annotation.ImplementationClassName;
import com.liferay.portal.kernel.model.PersistedModel;
import com.liferay.portal.kernel.util.Accessor;

import org.osgi.annotation.versioning.ProviderType;

/**
 * The extended model interface for the ObjectActionEntry service. Represents a row in the &quot;ObjectActionEntry&quot; database table, with each column mapped to a property of this class.
 *
 * @author Marco Leo
 * @see ObjectActionEntryModel
 * @generated
 */
@ImplementationClassName("com.liferay.object.model.impl.ObjectActionEntryImpl")
@ProviderType
public interface ObjectActionEntry
	extends ObjectActionEntryModel, PersistedModel {

	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify this interface directly. Add methods to <code>com.liferay.object.model.impl.ObjectActionEntryImpl</code> and rerun ServiceBuilder to automatically copy the method declarations to this interface.
	 */
	public static final Accessor<ObjectActionEntry, Long>
		OBJECT_ACTION_ENTRY_ID_ACCESSOR =
			new Accessor<ObjectActionEntry, Long>() {

				@Override
				public Long get(ObjectActionEntry objectActionEntry) {
					return objectActionEntry.getObjectActionEntryId();
				}

				@Override
				public Class<Long> getAttributeClass() {
					return Long.class;
				}

				@Override
				public Class<ObjectActionEntry> getTypeClass() {
					return ObjectActionEntry.class;
				}

			};

	public com.liferay.portal.kernel.util.UnicodeProperties
		getParametersUnicodeProperties();

}