/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.object.model;

import com.liferay.portal.kernel.annotation.ImplementationClassName;
import com.liferay.portal.kernel.util.Accessor;

import org.osgi.annotation.versioning.ProviderType;

/**
 * The extended model interface for the ObjectLayoutRow service. Represents a row in the &quot;ObjectLayoutRow&quot; database table, with each column mapped to a property of this class.
 *
 * @author Marco Leo
 * @see ObjectLayoutRowModel
 * @generated
 */
@ImplementationClassName("com.liferay.object.model.impl.ObjectLayoutRowImpl")
@ProviderType
public interface ObjectLayoutRow extends ObjectLayoutRowModel {

	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify this interface directly. Add methods to <code>com.liferay.object.model.impl.ObjectLayoutRowImpl</code> and rerun ServiceBuilder to automatically copy the method declarations to this interface.
	 */
	public static final Accessor<ObjectLayoutRow, Long>
		OBJECT_LAYOUT_ROW_ID_ACCESSOR = new Accessor<ObjectLayoutRow, Long>() {

			@Override
			public Long get(ObjectLayoutRow objectLayoutRow) {
				return objectLayoutRow.getObjectLayoutRowId();
			}

			@Override
			public Class<Long> getAttributeClass() {
				return Long.class;
			}

			@Override
			public Class<ObjectLayoutRow> getTypeClass() {
				return ObjectLayoutRow.class;
			}

		};

	public java.util.List<ObjectLayoutColumn> getObjectLayoutColumns();

	public void setObjectLayoutColumns(
		java.util.List<ObjectLayoutColumn> objectLayoutColumns);

}